using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("导航：隐患原因")]
    public class T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL_REASON : MesEntityBase
    {
        /// <summary>
        /// 隐患通知明细表
        /// </summary>
        [Description("隐患通知明细表")]
        [DataFieldForeignKey("Nav_RectifyDetail", "Nav_RectifyDetailReasons")]
        public Guid HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航：隐患通知明细表
        /// </summary>
        [Description("导航：隐患通知明细表")]
        public virtual T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL Nav_RectifyDetail { get; set; }

        [Description("隐患原因")]
        [DataFieldForeignKey("Nav_Reason")]
        public Guid? REASON_ID { get; set; }

        [Description("导航属性：隐患原因")]
        public T_SK_HIDDEN_REASON Nav_Reason { get; set; }
    }
}
